## num-utils 0.5

=== Makefile ===
# $Id: Makefile,v 1.12 2003/09/23 22:26:12 suso Exp $
# num-utils         A set of programs for doing operations on numbers
# Copyright (C) 2002-2003 Suso Banderas

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# You may contact the author at <suso@suso.org>.

VERSION	= $(shell cat VERSION)
PROJECT	= num-utils
DIST	= $(PROJECT)-$(VERSION)
FILES	= $(shell cat MANIFEST)
UTILS	= average bound interval normalize numgrep numprocess numsum random range round
DOCS	= CHANGELOG COPYING LICENSE MANIFEST template README GOALS WARNING
TESTS	= file fractionalnums numbers numbers2 README zeros
# rpm --showrc is gettin to be hard to parse anymore.
#RPMDIR	= /usr/src/redhat  
RPMDIR	= $(shell rpm --showrc | grep " _topdir" | \
	perl -n -e \
	'/_topdir(?:\s+|\s+:\s+)(\/.*|%{_usrsrc}.*$$)/; \
	$$dir = $$1; $$dir =~ s|%{_usrsrc}|/usr/src|; print "$$1\n";')

# Modify these as nessecary
PERL	= /usr/bin/perl
BINDIR	= /usr/bin
TOPDIR	= $(ROOT)/usr
MANDIR	= $(TOPDIR)/share/man/man1
DOCDIR	= $(TOPDIR)/share/doc/$(DIST)
BINDIR	= $(TOPDIR)/bin
TARFILE	= $(DIST).tar.gz
RPMFILE	= $(RPMDIR)
SPECFILE= $(PROJECT).spec
RPMFILE	= $(RPMDIR)/RPMS/noarch/$(DIST)-1.noarch.rpm
SRPMFILE= $(RPMDIR)/SRPMS/$(DIST)-1.src.rpm


all: manpages
	for file in $(UTILS) ; do \
		cat $$file | sed 's|^#!/usr/bin/perl|#!$(PERL)|' > $$file.out ; \
		mv $$file.out $$file ; chmod a+x $$file ; done

install:
	install -m 0755 -o 0 -g 0 -d		$(BINDIR)
	for util in $(UTILS) ; do \
	    install -m 0755 -o 0 -g 0 $$util	$(BINDIR) ; done

	install -m 0755 -o 0 -g 0 -d		$(DOCDIR)
	for doc in $(DOCS) ; do \
	    install -m 0644 -o 0 -g 0 $$doc	$(DOCDIR) ; done

	install -m 0755 -o 0 -g 0 -d		$(MANDIR)
	for man in $(UTILS) ; do \
		install -m 0644 -o 0 -g 0 $$man.1.gz $(MANDIR) ; done

uninstall:
	for util in $(UTILS) ; do \
		rm -f $(BINDIR)/$$util ; done
	rmdir $(BINDIR)

	for doc in $(DOCS) ; do \
		rm -f $(DOCDIR)/$$doc ; done
	rmdir $(DOCDIR)

	for man in $(UTILS) ; do \
		rm -f $(MANDIR)/$$man.1.gz ; done
	rmdir $(MANDIR)

manpages:
	for doc in $(UTILS) ; do \
		pod2man $$doc > $$doc.1 ; \
		gzip $$doc.1 ; chmod 644 $$doc.1.gz \
		; done

rpminstall:
	install -m 0755 -d		$(BINDIR)
	for util in $(UTILS) ; do \
	    install -m 0755 $$util	$(BINDIR) ; done

	install -m 0755 -d		$(DOCDIR)
	for doc in $(DOCS) ; do \
	    install -m 0644 $$doc	$(DOCDIR) ; done

	install -m 0755 -d		$(MANDIR)
	for man in $(UTILS) ; do \
		install -m 0644 $$man.1.gz $(MANDIR) ; done

clean:
	rm -f $(PROJECT).spec
	rm -f $(TARFILE)
	for file in $(UTILS) ; do \
	    rm -f $$file.1 ; done
	for file in $(UTILS) ; do \
		cat $$file | sed 's|^#!$(PERL)|#!/usr/bin/perl|' > $$file.out ; \
		mv $$file.out $$file ; chmod a+x $$file ; done

dist: $(TARFILE)


test:
	for file in $(UTILS) ; do $(PERL) -Tcw $$file ; done

$(TARFILE): $(FILES)
	rm -fr $(DIST)
	rm -f $(TARFILE)
	mkdir $(DIST)
	perl -pe 'chomp; symlink "../$$_", "$(DIST)/$$_" or die $$!' MANIFEST
	tar zchf $(DIST).tar.gz $(DIST) --exclude CVS
	rm -r $(DIST)

rpm: $(RPMFILE) $(SRPMFILE)

$(RPMFILE): do-rpm

$(SRPMFILE): do-rpm

do-rpm: $(TARFILE) $(SPECFILE)
	cp $(SPECFILE) $(RPMDIR)/SPECS/
	cp $(TARFILE) $(RPMDIR)/SOURCES/
	rpmbuild -ba $(RPMDIR)/SPECS/$(SPECFILE)

$(SPECFILE): $(SPECFILE).in VERSION
	perl -pe 's[\@(\S+)\@] \
		[open F, $$1 or die; $$x = join "", <F>; chomp $$x; $$x]ge' \
			< $< > $@

=== debian/changelog ===
num-utils (0.5-15) unstable; urgency=medium

  * New maintainer. (Closes: #918486)

 -- Regis Fernandes Gontijo <regisfg@gmail.com>  Tue, 09 Jun 2020 03:57:25 +0000

num-utils (0.5-14) unstable; urgency=medium

  * QA upload.
  * debian/control: added VCS fields.
  * debian/salsa-ci.yml: included to provide salsa CI tests.

 -- Regis Fernandes Gontijo <regisfg@gmail.com>  Fri, 05 Jun 2020 11:03:11 +0000

num-utils (0.5-13) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #918486)
  * Using new DH level format. Consequently:
      - debian/compat: file no longer needed. Removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Multi-Arch: foreign'.
      - Added 'Rules-Requires-Root: binary-targets'.
      - Bumped Standards-Version to 4.5.0.
      - Fixed broken upstream URI in 'Homepage' field.
      - Removed unneeded variable ${shlibs:Depends}.
  * debian/copyright: migrated to Machine-readable 1.0 format.
  * debian/examples: install example tests from upstream.
  * debian/patches/:
      - 09_spelling-errors-in-upstream.diff: fix spelling errors in upstream.
      - 10_help_locks_stdin.diff: fix STDIN issues in upstream when calling
        executables with --help option.
      - 11_upstream_URI_manp.diff: Fix upstream URI in manpages.
      - Added a header for each patch.
  * debian/rules: removed debugging instructions.
  * debian/tests/: added automated CI tests for each executable.
  * debian/watch: fixed broken URI.

 -- Regis Fernandes Gontijo <regisfg@gmail.com>  Wed, 20 May 2020 02:26:24 +0000

num-utils (0.5-12) unstable; urgency=medium

  * Switched packaging style from cdbs to dh9.
  * debian/patches/05_numgrep_exit.diff: Added. Closes: #708308.
  * debian/patches/06_round_number.diff: Added. Closes: #714220.
  * debian/patches/07_denominator.diff: Added. Closes: #553913.
  * debian/patches/08_man_numsum.diff: Added. Closes: #566058.

 -- Bart Martens <bartm@debian.org>  Sat, 06 Aug 2016 09:11:22 +0200

num-utils (0.5-11) unstable; urgency=low

  * debian/patches/04_man.diff: Added.  Closes: #544867.
  * debian/watch: Updated.

 -- Bart Martens <bartm@debian.org>  Thu, 29 Oct 2009 20:17:31 +0100

num-utils (0.5-10) unstable; urgency=low

  * debian/patches/03_power.diff: Added.  Closes: #520589.
  * debian/control: Maintainer, Standards-Version, Homepage.

 -- Bart Martens <bartm@debian.org>  Tue, 14 Apr 2009 20:32:19 +0200

num-utils (0.5-9) unstable; urgency=low

  * debian/patches/02_die.diff: Added.  Closes: #429792.

 -- Bart Martens <bartm@knars.be>  Wed, 20 Jun 2007 12:28:47 +0200

num-utils (0.5-8) unstable; urgency=low

  * debian/patches/01_numsum_numeric.diff: Added.  Closes: #423667.

 -- Bart Martens <bartm@knars.be>  Sat, 16 Jun 2007 11:55:46 +0200

num-utils (0.5-7) unstable; urgency=low

  * numsum: Allow decimals and minus signs with -c and -r.  Closes: #410128.
  * numsum: Added function "decimals_friendly_sum".
  * debian/copyright: Updated.

 -- Bart Martens <bartm@knars.be>  Sat, 10 Feb 2007 09:01:28 +0100

num-utils (0.5-6) unstable; urgency=low

  * debian/*: Repackaged with cdbs.
  * debian/control: Fixed typo.  Closes: #390194.

 -- Bart Martens <bartm@knars.be>  Tue, 14 Nov 2006 17:14:37 +0100

num-utils (0.5-5) unstable; urgency=low

  * interval: Process value 0 correctly.  Closes: #380266.
  * average: Handling of empty list of numbers.  Closes: #377667.
  * average, bound, interval, normalize, numprocess, numsum, random, range,
    round, template: Removed needless repetition of text in man pages.
    Closes: #377638.

 -- Bart Martens <bartm@knars.be>  Sat, 29 Jul 2006 11:37:08 +0200

num-utils (0.5-4) unstable; urgency=low

  * range: Suppress warnings on stderr.  Closes: #376930.
  * average: Better documentation of numaverage -m.  Closes: #376928.
  * debian/control: Fixed typo.  Closes: #377312.

 -- Bart Martens <bartm@knars.be>  Sat,  8 Jul 2006 21:52:17 +0200

num-utils (0.5-3) unstable; urgency=low

  * average, bound, GOALS, interval, Makefile, normalize, numgrep, numprocess,
    numsum, random, range, README, round, template, debian/control,
    debian/rules: Added prefix "num" to programs.  No longer conflicts with
    gromacs.  Closes: #375935, #376268.
  * debian/rules: No longer installing MANIFEST.

 -- Bart Martens <bartm@knars.be>  Sat,  1 Jul 2006 21:28:08 +0200

num-utils (0.5-2) unstable; urgency=low

  * debian/rules: Fix documentation directory name.  Closes: #375771.  Patch
    by Justin B Rye <jbr@edlug.org.uk>, thanks.
  * debian/rules: Fixed lintian changelog-file-not-compressed.

 -- Bart Martens <bartm@knars.be>  Wed, 28 Jun 2006 23:02:46 +0200

num-utils (0.5-1) unstable; urgency=low

  * Initial release.  Closes: #358453.
  * debian/control: Conflicts with gromacs because of /usr/bin/average.
  * Makefile: Disabled rpm things, install in DESTDIR, and fixed lintian
    manpage-not-compressed-with-max-compression.

 -- Bart Martens <bartm@knars.be>  Sun, 11 Jun 2006 10:10:07 +0200

=== debian/control ===
Source: num-utils
Section: math
Priority: optional
Maintainer: Regis Fernandes Gontijo <regisfg@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://suso.suso.org/xulu/Num-utils
Vcs-Browser: https://salsa.debian.org/debian/num-utils
Vcs-Git: https://salsa.debian.org/debian/num-utils.git
Rules-Requires-Root: binary-targets

Package: num-utils
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}
Description: programs for dealing with numbers from the command line
 The 'num-utils' are a set of programs for dealing with numbers from the
 Unix command line. Much like the other Unix command line utilities like
 grep, awk, sort, cut, etc. these utilities work on data from both
 standard in and data from files.
 .
 Includes these programs:
  * numaverage: A program for calculating the average of numbers.
  * numbound: Finds the boundary numbers (min and max) of input.
  * numinterval: Shows the numeric intervals between each number in a sequence.
  * numnormalize: Normalizes a set of numbers between 0 and 1 by default.
  * numgrep: Like normal grep, but for sets of numbers.
  * numprocess: Do mathematical operations on numbers.
  * numsum: Add up all the numbers.
  * numrandom: Generate a random number from a given expression.
  * numrange: Generate a set of numbers in a range expression.
  * numround: Round each number according to its value.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_installdeb:
	for f in average bound interval normalize random range round ; do \
		mv debian/num-utils/usr/bin/$$f debian/num-utils/usr/bin/num$$f ; \
		mv debian/num-utils/usr/share/man/man1/$$f.1.gz debian/num-utils/usr/share/man/man1/num$$f.1.gz ; \
	done
	dh_installdeb

=== debian/tests/control ===
Test-Command: cp -dprv debian/tests/ $AUTOPKGTEST_TMP; $AUTOPKGTEST_TMP/tests/tests-num-utils.sh
Depends: @, bash, perl

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[\-_]?(rc\d+|pre-rc\d+|pre\d+a?)$/$1~$2/;s/[\-\.](source|Source|src|orig|unix)$//;s/-(bin|osx)$/~$1/;s/^v(\d)/$1/" \
https://suso.suso.org/xulu/Num-utils .*num-utils-(v?[\d\.]+(?:rc|rc\d+|pre-rc\d+|-unix|-source|-Source|-src|\.src|\.orig|[a-z]|b\d+|beta\d+-src|beta\d+)?)\.(?:tar\.gz|tgz|tar\.bz2|zip|pm\.gz|jar|shar\.gz|shar\.Z)
